Global Fishing Watch API
API v3General API Documentation

Reference Data

Supported gear types, vessel types, regions, and vessel registry sources.

GEAR TYPES SUPPORTED

You can use the following list to filter fishing effort or other data by gear type. For more details, check our data caveats here.

  • TUNA_PURSE_SEINES
  • DRIFTNETS
  • TROLLERS
  • SET_LONGLINES
  • PURSE_SEINES
  • POTS_AND_TRAPS
  • OTHER_FISHING
  • DREDGE_FISHING
  • SET_GILLNETS
  • FIXED_GEAR
  • TRAWLERS
  • FISHING
  • SEINERS
  • OTHER_PURSE_SEINES
  • OTHER_SEINES
  • SQUID_JIGGER
  • POLE_AND_LINE
  • DRIFTING_LONGLINES

VESSEL TYPES SUPPORTED

You can use the following list to filter any data by gear type. For more details, check our data caveats about how we calculate each vessel type here.

  • carrier
  • seismic_vessel
  • passenger
  • other
  • support
  • bunker
  • gear
  • cargo
  • fishing
  • discrepancy

REGIONS

Region Metadata

After the update:

{
  "label": "Jordanian Exclusive Economic Zone",
  "id": 8491,
  "iso3": "JOR",
  "isoSov1": "JOR",
  "isoSov2": null,
  "isoSov3": null,
  "territory1": "Jordan"
}

In joint or overlapping regimes:

{
  "label": "Joint regime zone",
  "id": 1234,
  "iso3": "",
  "isoSov1": "VEN",
  "isoSov2": "NLD",
  "isoSov3": "DOM",
  "territory1": null
}

Or:

{
  "label": "Mayotte Overlapping Claim",
  "id": 5678,
  "iso3": "MYT",
  "isoSov1": "FRA",
  "isoSov2": "COM",
  "territory1": "MYT"
}

The public-eez-areas dataset includes metadata used to filter or group data geographically. As of this update, we've refined the logic behind the iso3 field to better reflect all the information provided by Marine Regions. This has now been adjusted to follow updated rules for more accurate representation, especially in complex territorial cases like joint regimes and overlapping claims.

Changes to our Regions

Giving users access to more ISO values offers them the flexibility and control to decide which specific ISO information is presented on their platform or work. To apply this metadata in your API queries, you can explore the public-eez-areas context layer here. Each region listed there includes a unique id, which can be used as a spatial filter or parameter in Global Fishing Watch API endpoints such as 4Wings and Events API.

There are two endpoints that uses regions ids:

  • In Events API, an event can potentially be within a specific geographic area, such as an Exclusive economic zones (EEZs), Marine protected areas (MPAs) or Regional fisheries management organization (RFMO). In the response regions field you can get the list of those regions. Check more detail about the source of those areas on how we calculate if the event is within a region in our data caveats. For MPAs and EEZs, the API returns an id.

  • In 4Wings API - Report, you can send in the body a custom polygon or you can directly send the region_id.

In order to get the details of those regions, call the endpoints described on the right.

You can check the source we use for those regions in our data caveats.

GET LIST OF EEZs

curl --location --request GET 'https://gateway.api.globalfishingwatch.org/v3/datasets/public-eez-areas/context-layers' \
  -H "Authorization: Bearer [TOKEN]"

Make sure to replace [TOKEN] with your API Access Token. If the request is successful, the response returns:

[
  {
    "label": "Jordanian Exclusive Economic Zone",
    "id": 8491,
    "iso3": "JOR",
    "isoSov1": "JOR",
    "isoSov2": null,
    "isoSov3": null,
    "territory1": "Jordan"
  },
  {
    "label": "Overlapping claim Kuril Islands: Japan / Russia",
    "id": 48950,
    "iso3": null,
    "isoSov1": "JPN",
    "isoSov2": "RUS",
    "isoSov3": null,
    "territory1": "Kuril Islands"
  },
  {
    "label": "Joint regime area: Costa Rica / Ecuador (Galapagos)",
    "id": 48968,
    "iso3": null,
    "isoSov1": "CRI",
    "isoSov2": "ECU",
    "isoSov3": null,
    "territory1": "Costa Rica"
  },
  {
    "label": "Overlapping claim: Colombia / Dominican Republic / Venezuela",
    "id": 48971,
    "iso3": null,
    "isoSov1": "COL",
    "isoSov2": "DOM",
    "isoSov3": "VEN",
    "territory1": "Colombia"
  },
  {
    "label": "French Exclusive Economic Zone (French Polynesia)",
    "id": 8440,
    "iso3": "PYF",
    "isoSov1": "FRA",
    "isoSov2": null,
    "isoSov3": null,
    "territory1": "French Polynesia"
  },
  {
    ...
  }
]

Field Descriptions for List of EEZs

Note: These fields come directly from Marine Regions. For more details about the EEZ attributes and their definitions, please visit Marine Regions EEZ Attributes.

FIELDTYPEDESCRIPTION
labelstringHuman-readable name of the EEZ region
idintegerUnique identifier for the region (use this in API queries)
iso3string/nullISO 3166-1 alpha-3 country code (null for joint regimes and overlapping claims)
isoSov1stringPrimary sovereignty ISO code
isoSov2string/nullSecondary sovereignty ISO code (for joint regimes/overlapping claims)
isoSov3string/nullTertiary sovereignty ISO code (for complex overlapping claims)
territory1string/nullTerritory name

GET LIST OF MPAs

curl --location 'https://gateway.api.globalfishingwatch.org/v3/datasets/public-mpa-all/context-layers' \
--header 'Authorization: Bearer [TOKEN]'

Make sure to replace [TOKEN] with your API Access Token. If the request is successful, the response returns:

[
  {
    "label": "Diamond Reef and Salt Fish Tail Reef - Marine Reserve",
    "id": "1"
  },
  {
    "label": "Palaster Reef - Marine Reserve",
    "id": "2"
  },
  {
    "label": "Folkstone - Marine Reserve",
    "id": "27"
  },
  {
    "label": "Reserva Biológica Atol Das Rocas - Reserva Biológica",
    "id": "46"
  },
  {
    "label": "Great Barrier Reef Marine Park",
    "id": "555394"
  },
  {
    "label": "Papahānaumokuākea Marine National Monument",
    "id": "555428"
  },
  {
    ...
  }
]

Field Descriptions for MPAs

FIELDTYPEDESCRIPTION
labelstringName and designation of the Marine Protected Area
idstringUnique identifier for the MPA (use this in API queries)

GET LIST OF RFMOs

curl --location --request GET 'https://gateway.api.globalfishingwatch.org/v3/datasets/public-rfmo/context-layers' \
  -H "Authorization: Bearer [TOKEN]"

Make sure to replace [TOKEN] with your API Access Token. If the request is successful, the response returns:

[
  {
    "label": "LTA",
    "id": "LTA",
    "ID": "LTA"
  },
  {
    "label": "SEAFDEC",
    "id": "SEAFDEC",
    "ID": "SEAFDEC"
  },
  {
    "label": "IATTC",
    "id": "IATTC",
    "ID": "IATTC"
  },
  {
    "label": "APFIC",
    "id": "APFIC",
    "ID": "APFIC"
  },
  {
    "label": "IPHC",
    "id": "IPHC",
    "ID": "IPHC"
  },
  {
    "label": "ICCAT",
    "id": "ICCAT",
    "ID": "ICCAT"
  },
  {
    "label": "WCPFC",
    "id": "WCPFC",
    "ID": "WCPFC"
  },
  {
    "label": "CCAMLR",
    "id": "CCAMLR",
    "ID": "CCAMLR"
  },
  {
    ...
  }
]

Field Descriptions for RFMOs

FIELDTYPEDESCRIPTION
labelstringStandard abbreviation of the RFMO or fisheries body
idstringUnique identifier (matches the abbreviation)
IDstringDuplicate identifier field (matches id and label)

Vessel API - Registry Codes - Data Sources

Vessel identity data is extracted from over 40 registries available either in the public domain or from authorities and researchers, including registries from regional fisheries management organizations, national registries, and lists compiled by researchers. Each of the lists has been obtained regularly since early 2019 and supplemented, when possible, with historical data to provide snapshots of a registry and its vessels over time. Where available, we collected information on vessel identity, vessel characteristics, owner name, owner nationality, and fishing authorization. The major sources of data are listed below.

We do not publicly disclose the raw information that we collect but use the acquired information uniquely for non-commercial purpose of aggregating it with other data sets.

Source CodeSourceAdditional Links
AUSAustralia vessel registry
CANCanada vessel registryhttp://sd.ic.gc.ca/
CCAMLRCCAMLR Commission for the Conservation of Antarctic Marine Living Resources. CCAMLR authorised vessel list and CCAMLR IUU list
CCSBTCCSBT Commission for the Conservation of Southern Bluefin Tuna
CRUISECruise ship list -- but the site is not available anymore
ECUEcuador national fleet registry
ESPMSC certified spanish vessel lists. Downloaded from the web in pdf, not available anymore online. Spanish vessels manually reviewed list of VMS and vessel logbooks
EUEuropean Union
FFAFFA (Pacific Islands Forum Fisheries Agency)
FROFaroe Islands
GFCMGFCM General Fisheries Commission for the Mediterranean authorised vessel list
GFW-REVIEWExpert manual review organized by GFW
IATTCIATTC Inter-American Tropical Tuna Commission authorised vessel list
ICCATICCAT International Commission for the Conservation of Atlantic Tunas authorised vessel list
IMOGISIS Global Integrated Shipping Information. Note: As of June 2026, manually ingested IMO records (IMO1, IMO2, IMO3) for fishing and fishing support vessels are being retired and superseded by S&P Global (SNP), where available. A limited set of static IMO records is retained for selected non-fishing vessels.
IOTCIOTC Indian Ocean Tuna Commision authorised vessel list
ISLIceland's vessel registry. The source list no longer exist, last ingestion January 2021
ISSFISSF International Seafood Sustainability Foundation large scale purse seine vessels, IMO numbered tuna vessel, proactive vessel registry (PVR) and vessels in other sustainability initiatives (VOSI) lists
IUUTMT Combined IUU vessel list
KORRepublic of Korea vessel registrykrs.co.kr link 2
MDGMadagascar authorized vessel list
MYSMalaysian flagged vessel list
NAFONAFO Northwest Atlantic Fisheries Organization vessel registry
NEAFCNEAFC North East Atlantic Fisheries Commission vessels and authorization list
NORNorway authorized vessel list fiskeridir.no link 2
NPFCNPFC North Pacific Fisheries Commission vessels registry
OPRTOPRT Organization for the Promotion of Responsible Tuna Fisheries
PERPeruvian vessel list The link only works if the date is within the last 3 days. For example, for the data corresponding to march 11 2025 this is the link.
RESEARCH-PAPERVessel lists from various research papers gathered by GFW Research team
RUSRussia vessel registry
SEAFOSEAFO South East Atlantic Fisheries Organisation authorised vessel list
SEISMICOceana's list of seismic vessels. This was a one-time download of a static list.
SIOFASIOFA Southern Indian Ocean Fisheries Agreement authorised vessel list
SNPS&P Global Ships Data. Maritime intelligence data that builds on the IMO source, expanding vessel identity fields such as ownership, year built, length and gross tonnage, where available. Note: Due to licensing terms, only records where S&P data is combined with at least one other source are distributed; records sourced solely from S&P are not returned.
SPRFMOSPRFMO South Pacific Regional Fisheries Management Organisation vessel list
SPSHIPBASENorthern European vessel database
TMTTMT uses a range of sources, including RFMO authorized vessel lists, other vessel databases, national sources, AIS, vessel photographs and other sources of intelligence
TMT_NationalTMT Data sources include information from a variety of national sources
TMT_OtherTMT Data from a range of sources, gathered in the course of TMT’s analytical work
TMT_Other_OfficialTMT Data from official sources that do not fall into the RFMO or national categories. Includes the US Treasury Office of Foreign Assets Control (OFAC) sanctioned vessel list, the International Labour Organization (ILO) list of vessels involved in cases of seafarer abandonment, and records of vessel detentions under the Paris MOU.
TMT_RFMOTMT Data from regional fisheries management bodies (RFMOs) and would appear on the source list as 'TMT_IATTC', 'TMT_WCPFC' for example.
TWNChinese Taipei (Fisheries Agency of Taiwan provides vessels registered to IOTC separately through its website))
USAMerchant vessels of the United States. US Federal Communications Commission vessel license listhttps://wireless2.fcc.gov/
WCPFCWCPFC Western and Central Pacific Fisheries Commission fishing vessel database

On this page